///home/berryj/link/bin/genMethods "-g" "-t" "Set<char*>" "-h" "Set" "-r" "MSet<char*>" "-I" "LINK/basic/Set.h" "-d" "basic" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>

#include <LINK/basic/Set.h>

#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>
#include <LINK/stkWrapper/CollectionWrapper.h>


typedef Set<char*> _Set_char__;
typedef Set<Set<char*> > _Set_Set_char___;
static Set<Set<char*> > s__Set_Set_char___;

#define _Set_Set_char___DATA(x) ((Set<Set<char*> >*) (EXTDATA(x)))
#define _Set_Set_char___IS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Set<Set<char*> > >::type))
#define _Set_Set_char___ISNT_DATA(x) (!_Set_Set_char___IS_DATA(x))

#define _Set_Set_char___CXX_DATA(x) (*(Set<Set<char*> >*) (EXTDATA(VAL(x))))
#define _Set_Set_char___CXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Set<Set<char*> > >::type))
#define _Set_Set_char___CXX_ISNT_DATA(x) (!_Set_Set_char___CXX_IS_DATA(x))


PRIMITIVE STk_init__Set_Set_char___()
{
	Wrapper<_Set_Set_char___>::type = STk_new_CXXwrapper_id(
			Wrapper<_Set_Set_char___>::name, 
			Wrapper<MSet<char*> >::name,
			(void (*)(SCM x, SCM port, int mode))
			CollectionWrapper<_Set_char__>::displayTypedCollection,
			(void (*)(SCM x))CollectionWrapper<_Set_char__>::markTypedCollection,
			(void (*)(SCM x))CollectionWrapper<_Set_char__>::freeTypedCollection);
	Tcl_InitHashTable(&Register<_Set_Set_char___>::objTable, TCL_ONE_WORD_KEYS);
	return UNDEFINED;
}

void genExtra_Set_Set_char___Methods(void);

PRIMITIVE STk_init_methods__Set_Set_char___()
{
	genExtra_Set_Set_char___Methods();
	return UNDEFINED;
}
